package com.ztmap.framework.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author fuce
 */
@Component
@ConfigurationProperties(prefix = "ztmap")
public class V2Config
{
    /** 项目名称 */
    private String name;
    /** 版本 */
    private String version;
    /** 版权年份 */
    private String copyrightYear;
    /** 上传路径 */
    private static String profile;
    /** 是否开启 上传static **/
    private static String isstatic;
    /** 开启存放静态文件夹后目录 **/
    private static String isroot_dir;
    /** 邮箱发送smtp */
    private static String email_smtp;
    /** 发送邮箱端口 */
    private static String email_port;
    /** 发送邮箱登录账号 */
    private static String email_account;
    /** 发送邮箱登录密码 */
    private static String email_password;
    /** 演示模式 **/
    private static String demoEnabled;
    /** 滚动验证码 **/
    private static Boolean rollVerification;

    /**澜普相关参数**/
    //url
    private static String plurl;
    //用户名
    private static String loginid;
    //密码
    private static String pwd;
    //调用方标识
    private static String tpdcode;
    // 调用方密钥
    private static String secret;
    // 签名密钥
    private static String sign;
    // 参数加密密钥
    private static String paramkey;
    // 消息密钥初始化向量
    private static String param;

    private static String tokenurl;

    private static String loginurl;

    public static String getTokenurl() {
        return tokenurl;
    }

    public  void setTokenurl(String tokenurl) {
        this.tokenurl = tokenurl;
    }

    public static String getLoginurl() {
        return loginurl;
    }

    public  void setLoginurl(String loginurl) {
        this.loginurl = loginurl;
    }

    public static String getPlurl() {
        return plurl;
    }

    public  void setPlurl(String plurl) {
        this.plurl = plurl;
    }

    public static String getLoginid() {
        return loginid;
    }

    public  void setLoginid(String loginid) {
        this.loginid = loginid;
    }

    public static String getPwd() {
        return pwd;
    }

    public  void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public static String getTpdcode() {
        return tpdcode;
    }

    public  void setTpdcode(String tpdcode) {
        this.tpdcode = tpdcode;
    }

    public static String getSecret() {
        return secret;
    }

    public  void setSecret(String secret) {
        this.secret = secret;
    }

    public static String getSign() {
        return sign;
    }

    public  void setSign(String sign) {
        this.sign = sign;
    }

    public static String getParamkey() {
        return paramkey;
    }

    public  void setParamkey(String paramkey) {
        this.paramkey = paramkey;
    }

    public static String getParam() {
        return param;
    }

    public  void setParam(String param) {
        this.param = param;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getVersion()
    {
        return version;
    }

    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getCopyrightYear()
    {
        return copyrightYear;
    }

    public void setCopyrightYear(String copyrightYear)
    {
        this.copyrightYear = copyrightYear;
    }

    public static String getProfile()
    {
        return profile;
    }

    public void setProfile(String profile)
    {
        this.profile = profile;
    }

    public static String getIsstatic() {
        return isstatic;
    }

    public  void setIsstatic(String isstatic) {
        this.isstatic = isstatic;
    }

    public static String getIsroot_dir() {
        return isroot_dir;
    }

    public  void setIsroot_dir(String isroot_dir) {
        this.isroot_dir = isroot_dir;
    }

    public static String getEmail_smtp() {
        return email_smtp;
    }

    public  void setEmail_smtp(String email_smtp) {
        this.email_smtp = email_smtp;
    }

    public static String getEmail_port() {
        return email_port;
    }

    public  void setEmail_port(String email_port) {
        this.email_port = email_port;
    }

    public static String getEmail_account() {
        return email_account;
    }

    public  void setEmail_account(String email_account) {
        this.email_account = email_account;
    }

    public static String getEmail_password() {
        return email_password;
    }

    public  void setEmail_password(String email_password) {
        this.email_password = email_password;
    }

    public static String getDemoEnabled() {
        return demoEnabled;
    }

    public void setDemoEnabled(String demoEnabled) {
        this.demoEnabled = demoEnabled;
    }

    public static Boolean getRollVerification() {
        return rollVerification;
    }

    public  void setRollVerification(Boolean rollVerification) {
        this.rollVerification = rollVerification;
    }



}
